Subject: [PATCH 01/11] dma: imx-sdma: make channel0 operations atomic

From: [email-masked] (Laxman Dewangan)
Date: Fri, 27 Apr 2012 18:31:13 +0530

On Friday 27 April 2012 05:03 PM, Russell King - ARM Linux wrote:
> On Fri, Apr 27, 2012 at 07:26:56PM +0800, Richard Zhao wrote:
>> Sure, I mean, can you doc in include/linux/dmaengine.h that
>> dmaengine_prep_xxx may sleep?
> Incorrect.  They may _not_ sleep.

But I have seen that we are using the kzalloc in the dmaengine_prep_xxx 
and kzalloc is sleeping call.